--- lib/kernel/src/user_drv.erl.orig	Fri Sep 26 12:01:42 2008 UTC
+++ lib/kernel/src/user_drv.erl	Fri Sep 26 12:23:03 2008 UTC
@@ -112,8 +112,12 @@
     {Curr,Shell1} =
 	case init:get_argument(remsh) of
 	    {ok,[[Node]]} ->
-		RShell = {list_to_atom(Node),shell,start,[]},
-		RGr = group:start(self(), RShell),
+		ANode  = list_to_atom(Node),
+		RShell = {ANode,shell,start,[]},
+		RGr = group:start(self(), RShell,
+						[{expand_fun,
+						 fun(B)-> rpc:call(ANode,edlin_expand,expand,[B])
+						 end}]),
 		{RGr,RShell};
 	    E when E =:= error ; E =:= {ok,[[]]} ->
 		{group:start(self(), Shell),Shell}
